import json
from pathlib import Path

from fastapi import APIRouter

router = APIRouter()

runs_directory = Path("runs")


@router.get("/")
async def list():
    return [
        run.name
        for run in runs_directory.iterdir()
        if run.is_dir() and (run / "snapshot.json").exists()
    ]


@router.get("/{run_name}/")
async def get(run_name: str):
    run_path = runs_directory / run_name
    snapshot = run_path / "snapshot.json"
    return json.load(snapshot.open("r"))
